{
"id": 1693364594105000000,
"remarkName": "Priority customer",
"nickname": "nickname",
"metaUsername": "alice_01",
"countryCode": "US",
"countryName": "<string>",
"phoneNumber": "+16315551111",
"email": "support@example.com",
"lastSeen": "2022-06-01T12:00:00.000Z",
"lastMessageToPhoneNumber": "+16315551111",
"tags": [
"<string>"
],
"createTime": "2022-06-01T12:00:00.000Z",
"customAttributes": [
{
"name": "<string>",
"value": {}
}
],
"ownerEmail": "support@example.com",
"sourceType": "API",
"sourceId": "batch_import_123",
"sourceUrl": "https://example.com/signup"
}{
"error": {
"status": 404,
"code": "NOT_FOUND",
"message": "The requested resource does not exist.",
"target": "",
"docUrl": "",
"requestId": "req_1KjtKI80IKoaJNa6n6p",
"whatsappApiError": {
"message": "HSM Template creation failed",
"code": 200002,
"type": "OAuthException",
"is_transient": false,
"error_subcode": 2388109,
"error_user_msg": "This message template cannot be created.",
"error_user_title": "Message Cannot Be Submitted",
"fbtrace_id": "AVGjJ7ia2zJkrHG",
"error_data": "<string>"
},
"metaBusinessAgentApiError": {
"title": "<string>",
"detail": "<string>",
"type": "<string>",
"status": 123,
"requestId": "<string>"
},
"messengerApiError": {
"code": "100",
"subcode": "2018276"
}
}
}Delete a contact
Deletes a contact.
{
"id": 1693364594105000000,
"remarkName": "Priority customer",
"nickname": "nickname",
"metaUsername": "alice_01",
"countryCode": "US",
"countryName": "<string>",
"phoneNumber": "+16315551111",
"email": "support@example.com",
"lastSeen": "2022-06-01T12:00:00.000Z",
"lastMessageToPhoneNumber": "+16315551111",
"tags": [
"<string>"
],
"createTime": "2022-06-01T12:00:00.000Z",
"customAttributes": [
{
"name": "<string>",
"value": {}
}
],
"ownerEmail": "support@example.com",
"sourceType": "API",
"sourceId": "batch_import_123",
"sourceUrl": "https://example.com/signup"
}{
"error": {
"status": 404,
"code": "NOT_FOUND",
"message": "The requested resource does not exist.",
"target": "",
"docUrl": "",
"requestId": "req_1KjtKI80IKoaJNa6n6p",
"whatsappApiError": {
"message": "HSM Template creation failed",
"code": 200002,
"type": "OAuthException",
"is_transient": false,
"error_subcode": 2388109,
"error_user_msg": "This message template cannot be created.",
"error_user_title": "Message Cannot Be Submitted",
"fbtrace_id": "AVGjJ7ia2zJkrHG",
"error_data": "<string>"
},
"metaBusinessAgentApiError": {
"title": "<string>",
"detail": "<string>",
"type": "<string>",
"status": 123,
"requestId": "<string>"
},
"messengerApiError": {
"code": "100",
"subcode": "2018276"
}
}
}Path Parameters
Identifier of the contact. Supports a contact ID, a phone number in E.164 format starting with + (for example, +16315551111), or a Meta username without the leading @.
A Meta username must contain 3 to 35 letters, digits, periods, or underscores. If a numeric value can be interpreted as both a Meta username and a contact ID, it is resolved as a Meta username first. If no contact has that Meta username, the value is resolved as a contact ID.
255"alice_01"
Response
Successfully deleted the contact.
Represents a contact.
Two-letter country abbreviation. See ISO 3166-1 alpha-2 country code.
"US"
Unique Phone number in E.164 format.
"+16315551111"
The time at which the contact last sent a message to your business, formatted in RFC 3339. e.g., 2022-06-01T12:00:00.000Z.
"2022-06-01T12:00:00.000Z"
The time at which the contact was created, formatted in RFC 3339. e.g., 2022-06-01T12:00:00.000Z.
"2022-06-01T12:00:00.000Z"

